Skip to main content
Memory Stores

Delete memories by scope

POST
/memory_stores/{name}:delete_scope

Deletes all memories in the specified memory store that are associated with the provided scope.

Path Parameters
namestringrequired
The name of the memory store.
Query Parameters
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Request BodyContent-Type: application/json
scopestringrequired
The namespace that logically groups and isolates memories to delete, such as a user ID.
Responses
objectenumrequired
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
namestringrequired
The name of the memory store.
scopestringrequired
The scope from which memories were deleted.
deletedbooleanrequired
Whether the deletion operation was successful.